import unittest
from migration_modelling.converter.mapping_converter import Converter
import migration_machine.config as configurations

class TestSimpleMappingProcessor(unittest.TestCase):
    def test_create_explicit_pk_mapping(self):
        config = configurations.Config("settings/convert.ini")
        convert = Converter(config)
        source = [{"field": "prova_source"}]
        target = [{"field": "prova_target"}]
        assert convert.create_explicit_pk_mapping(source, target) == [{"field": "prova_target", "source": "prova_source"}]


if __name__ == "__main__":
    unittest.main()